Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.attachments
Class ImageDataContentHandler

    java.lang.Object
      org.codehaus.xfire.attachments.ImageDataContentHandler

All Implemented Interfaces:
  javax.activation.DataContentHandler

    public class ImageDataContentHandler

extends java.lang.Object
implements javax.activation.DataContentHandler

Author:
  Dan Diephouse

Constructor Summary
`ImageDataContentHandler()`

Method Summary
`void` | `copy(java.io.InputStream input, java.io.OutputStream output, int bufferSize)`
`java.lang.Object` | `getContent(javax.activation.DataSource ds)`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor arg0, javax.activation.DataSource arg1)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`void` | `writeTo(java.lang.Object obj, java.lang.String contentTyp, java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageDataContentHandler

    public ImageDataContentHandler()

Method Detail

### getContent

    public java.lang.Object getContent(javax.activation.DataSource ds)
                                throws java.io.IOException

  Specified by:
    `getContent` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.io.IOException`

### copy

    public void copy(java.io.InputStream input,
                     java.io.OutputStream output,
                     int bufferSize)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor arg0,
                                            javax.activation.DataSource arg1)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    `getTransferData` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `javax.activation.DataContentHandler`

### writeTo

    public void writeTo(java.lang.Object obj,
                        java.lang.String contentTyp,
                        java.io.OutputStream out)
                 throws java.io.IOException

  Specified by:
    `writeTo` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.